Package com.google.android.exoplayer2.extractor.ts

## Class TsPayloadReader.DvbSubtitleInfo

- java.lang.Object
- - com.google.android.exoplayer2.extractor.ts.TsPayloadReader.DvbSubtitleInfo

- Enclosing interface:
    TsPayloadReader

      public static final class TsPayloadReader.DvbSubtitleInfo
      extends Object

  Holds information about a DVB subtitle, as defined in ETSI EN 300 468 V1.11.1 section 6.2.41.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte[]` | `initializationData` |
    `String` | `language` |
    `int` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DvbSubtitleInfo​(String language, int type, byte[] initializationData)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### language

          public final String language

    - #### type

          public final int type

    - #### initializationData

          public final byte[] initializationData

  - ### Constructor Detail

    - #### DvbSubtitleInfo

          public DvbSubtitleInfo​(String language,
                                 int type,
                                 byte[] initializationData)

      Parameters:
        `language` - The ISO 639-2 three-letter language code.
        `type` - The subtitling type.
        `initializationData` - The composition and ancillary page ids.